import { z } from 'zod'

export type BasicRegistrationAttempt = z.infer<typeof BasicRegistrationAttemptType>

export const BasicRegistrationAttemptType = z.object({
    firstName: z.string().nonempty(),

    lastName: z.string().nonempty(),

    username: z.string().nonempty(),

    password: z.string()
        .nonempty()
        .min(8),

    passwordConfirmation: z.string()
        .nonempty()
        .min(8),
})
