import {Model} from '../Model'
import {BaseEvent} from '../../../support/bus'
import {Awaitable} from '../../../util'

/**
 * Base class for events that concern an instance of a model.
 * @fixme support serialization
 */
export abstract class ModelEvent<T extends Model<T>> extends BaseEvent {
    constructor(
        public readonly instance: T,
    ) {
        super()
    }

    shouldBroadcast(): Awaitable<boolean> {
        return false
    }
}
